#version 450

in vec3 in_vertex;
in vec3 in_color;
uniform mat4 mvp;
uniform mat4 rotation;
uniform int count;
uniform vec3 cubelocs[300];
out vec4 output_color;

void main(void) {
	vec4 offset = vec4(cubelocs[gl_InstanceID], 0);
	output_color = vec4(in_color.rgb, 1.0);
	gl_Position = mvp * ((rotation * vec4(in_vertex, 1.0)) + offset);
}
